Subject: Re: mpc512x uart: testers wanted

From: "Albrecht Dreß" <[email-masked]>
Date: Mon, 8 Mar 2010 17:32:28 +0100 (CET)

Hi Anatolij:

> > Anatolij, could you please look into this?
> 
> I'll look into this tomorrow, need to finish USB support now.
> Unfortunately the patch doesn't apply on top of Linus' tree as
> patches for reworked MPC5121 PSC UART support have been merged.
> Albrecht, could you please rebase your patch?

Against linux/kernel/git/torvalds/linux-2.6.git?  Will do that tomorrow...  Grant, do you need a patch against Linus' tree, or against a released version, or against your tree?

> BTW, the prescaler /16 or /10 was mentioned in the MPC5121e
> Preliminary Reference Manual, Rev.0. This seems to be the
> reason for the usage of /16 prescaler in the code. Since
> newer manuals only mention /32 or /10 prescaler, this should
> be corrected/tested. I'll test it later.

Dumb question: do you use U-Boot to boot your processor?  If I interpret the code [1] correctly, it also uses the /16 prescaler!  Or did I miss something?

Best, Albrecht.

[1] <http://git.denx.de/cgi-bin/gitweb.cgi?p=u-boot.git;a=blob;f=cpu/mpc512x/serial.c;h=ec2f41bb36dcfa9079d7890866a3aeec716ea124;hb=HEAD>

Sexy Stars bei den Oscars! Fotostrecken und alle aktuellen Infos zu Filmen und Preisen jetzt im Oscar-Special von Arcor.de: http://www.arcor.de/rd/footer.oscar